Get list of tags and count of its associated entities
Returns list of tags for the logged in user's default entity tag set along with count of associated entities
Query Parameters
- tagId int32
Id of the tag whose associated entities details needs to be returned
- 200
- 404
- 503
OK
- application/json
- Schema
- Example (from schema)
- Example-1
Schema
tagSetInfo object
id int32GUID stringname stringglobalTagSetInfo object[]
Contains aggregated tag set information across multiple CommCells when operating in global mode.
id int32GUID stringname stringcommcell object
name stringName of the commcell the entity belongs to.
tags object[]
id int32name stringcount int32globalConfigInfo object
Only applicable on Global CommCells
id stringname stringcommcells object[]
List of Service CommCells where the global configuration is applied
id int32name stringguid stringdisplayName stringcompanies object[]
List of companies where the global configuration is applied
id int32name stringguid stringdeploymentType stringPossible values: [
ON_PREM,SAAS,HYBRID]Defines where config is deployed.
scope stringThe entity level at which the config is applied.
scopeFilterQuery stringCommCellEntityCache filter query string used for filtering the scope
applyOnAllCommCells booleanDecides whether the global configuration should be applied to all the Service commcells, including the newly created ones
applyOnAllOnPremCommCells booleanDecides whether the global configuration should be applied to all the On Prem Service commcells, including the newly created ones
applyOnAllSaasCommCells booleanDecides whether the global configuration should be applied to all the SaaS Service commcells, including the newly created ones
applyOnAllCompanies booleanDecides whether the global configuration should be applied to all the companies, including the newly created ones
isMarkedForDeletion booleanIndicates whether global configuration deletion has been started.
status stringtargetCommCellType stringPossible values: [
GLOBAL_COMMCELL,SERVICE_COMMCELL]Indicates the type of CommCell where the global configuration is targeted.
associatedEntities object[]
id int32name stringtype stringcommcell object
Details of the CommCell to which the entity belongs in a multi-CommCell environment.
id int32name stringaliasName stringGUID string
{
"tagSetInfo": {
"id": 0,
"GUID": "string",
"name": "string"
},
"globalTagSetInfo": [
{
"id": 0,
"GUID": "string",
"name": "string",
"commcell": {
"name": "string"
}
}
],
"tags": [
{
"id": 0,
"name": "string",
"count": 0,
"globalConfigInfo": {
"id": "string",
"name": "string",
"commcells": [
{
"id": 0,
"name": "string",
"guid": "string",
"displayName": "string"
}
],
"companies": [
{
"id": 0,
"name": "string",
"guid": "string"
}
],
"deploymentType": "ON_PREM",
"scope": "string",
"scopeFilterQuery": "string",
"applyOnAllCommCells": true,
"applyOnAllOnPremCommCells": true,
"applyOnAllSaasCommCells": true,
"applyOnAllCompanies": true,
"isMarkedForDeletion": true,
"status": "string",
"targetCommCellType": "GLOBAL_COMMCELL"
},
"associatedEntities": [
{
"id": 0,
"name": "string",
"type": "string"
}
],
"commcell": {
"id": 0,
"name": "string",
"aliasName": "string",
"GUID": "string"
}
}
]
}
{
"tagSetInfo": {
"id": 738,
"GUID": "59DBD39D-26DE-435E-8EEA-F8E1A2E0A5CA",
"name": "Default Tag set"
},
"tags": [
{
"id": 742,
"name": "BRAND",
"count": 1,
"associatedEntities": [
{
"id": 20,
"name": "CVLT",
"type": "61"
}
]
}
]
}
Not Found
- application/json
- Schema
- Example (from schema)
- Example-1
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "Page not found",
"errorCode": 404
}
Service Unavailable
- application/json
- Schema
- Example (from schema)
- Example-1
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "Service unavailable",
"errorCode": 503
}